Name:           perl-MooseX-Types-DateTime-ButMaintained
Version:        0.11
Release:        1%{?dist}
Summary:        DateTime related constraints and coercions for Moose
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
Source0:        file:///home/dave/cpan/authors/id/E/EC/ECARROLL/MooseX-Types-DateTime-ButMaintained-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(DateTime) >= 0.4302
BuildRequires:  perl(DateTime::Locale) >= 0.40
BuildRequires:  perl(DateTime::TimeZone) >= 0.96
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Moose) >= 0.41
BuildRequires:  perl(MooseX::Types) >= 0.04
BuildRequires:  perl(namespace::clean) >= 0.08
BuildRequires:  perl(Olson::Abbreviations)
BuildRequires:  perl(Test::Exception) >= 0.27
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::use::ok) >= 0.02
Requires:       perl(DateTime) >= 0.4302
Requires:       perl(DateTime::Locale) >= 0.40
Requires:       perl(DateTime::TimeZone) >= 0.96
Requires:       perl(Moose) >= 0.41
Requires:       perl(MooseX::Types) >= 0.04
Requires:       perl(namespace::clean) >= 0.08
Requires:       perl(Olson::Abbreviations)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module packages several Moose::Util::TypeConstraints with coercions,
designed to work with the DateTime suite of objects.

%prep
%setup -q -n MooseX-Types-DateTime-ButMaintained-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 16 2010 Dave Cross <dave@mag-sol.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
